/* 
    channel for Bt848 frame grabber driver

    Copyright (C) 1996,97 Marcus Metzler (mocm@thp.uni-koeln.de)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _channel_h
#define _channel_h

#include <stdio.h>
#include <stdlib.h>
#include <iostream.h>
#include <fstream.h>
#include <strstream.h>

class channel
{
public:
  bool xtvscreen_file;

  int frequency;
  char *name;
  int color;
  int brightness;
  int hue;
  int contrast;
  int norm;
  int input;
  int startwiththis;
  int id;
  char *channelId;

  // constructors, destructor
  channel()
  {
    xtvscreen_file=false;
    channelId=NULL;
    startwiththis=0;
    name=NULL;
  }
  
  channel(int freq,const char *n,int c,int b,int hu,int co,int no,int in,
	  int start=0);

  ~channel();

  // streams
  friend ostream &operator<<(ostream &stream, channel &x);
  friend istream &operator>>(istream &stream, channel &x);
};

#endif /* _channel_h */
/* DON'T ADD STUFF AFTER THIS #endif */











